package cn.iocoder.yudao.module.pay.service.divideinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pay.controller.admin.divideinfo.vo.DivideInfoPageReqVO;
import cn.iocoder.yudao.module.pay.controller.admin.divideinfo.vo.DivideInfoSaveReqVO;
import cn.iocoder.yudao.module.pay.dal.dataobject.divideinfo.DivideInfoDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 分账明细 Service 接口
 *
 * @author 管理员
 */
public interface DivideInfoService {

    /**
     * 创建分账明细
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDivideInfo(@Valid DivideInfoSaveReqVO createReqVO);

    /**
     * 更新分账明细
     *
     * @param updateReqVO 更新信息
     */
    void updateDivideInfo(@Valid DivideInfoSaveReqVO updateReqVO);

    /**
     * 删除分账明细
     *
     * @param id 编号
     */
    void deleteDivideInfo(Long id);

    /**
     * 获得分账明细
     *
     * @param id 编号
     * @return 分账明细
     */
    DivideInfoDO getDivideInfo(Long id);

    /**
     * 获得分账明细分页
     *
     * @param pageReqVO 分页查询
     * @return 分账明细分页
     */
    PageResult<DivideInfoDO> getDivideInfoPage(DivideInfoPageReqVO pageReqVO);

    void insertList(List<DivideInfoDO> list);

    DivideInfoDO getDivideInfo(String outOrderNo,String account);

    List<DivideInfoDO>  getDivideList(String outOrderNo);

   void updateList(List<DivideInfoDO> list);

    List<DivideInfoDO> getDivideListByTi(String transactionId);
}